package com.ytpm.dao.qnmjz;

import com.ytpm.app.model.YtDyzLoginRecord;
import com.ytpm.app.param.AppUserQueryParam;
import org.apache.ibatis.annotations.Param;
import org.mapstruct.Mapper;

import java.util.List;

@Mapper
public interface QnmLoginRecordMapper {
    /**
     * 增加用户登录记录
     */
    void insertOne(YtDyzLoginRecord loginRecord);

    /**
     * 查询用户登录记录
     */
    List<YtDyzLoginRecord> getLoginRecords(@Param("userId")String userId);

    List<String> queryLoginCount(AppUserQueryParam appUserQueryParam);

    List<YtDyzLoginRecord> getLoginRecordByIds(@Param("userIds") String userIds);
}
